Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class UnclosableInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.fop.util.UnclosableInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class UnclosableInputStream

extends java.io.FilterInputStream

Provides an InputStreamFilter which avoids closing the original stream.

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`UnclosableInputStream(java.io.InputStream in)` Default constructor.

Method Summary
`void` | `close()` Does not close the original stream.

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnclosableInputStream

    public UnclosableInputStream(java.io.InputStream in)

  Default constructor.

  Parameters:
    `in` - the Stream to filter.

Method Detail

### close

    public void close()

  Does not close the original stream.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterInputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.